/* TrackerShutdown - Makes sure everything ends correctly when shutting down.
   Copyright (C) 2003 Mark J. Wielaard

   This file is part of Snark.
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
 
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

package org.klomp.snark;

/**
 * Makes sure everything ends correctly when shutting down.
 */
public class SnarkShutdown extends Thread
{
  private final TrackerClient trackerclient;

  public SnarkShutdown(TrackerClient trackerclient)
  {
    this.trackerclient = trackerclient;
  }

  public void run()
  {
    System.out.println("Shutting down...");
    trackerclient.halt();
    // XXX - Should actually wait till done...
    try
      {
	Thread.sleep(5*1000);
      }
    catch (InterruptedException ie) { /* ignored */ }
  }
}
